Bug 1014576 - Custom server attribute outbound-socket-binding-ref is defined as required in XSD but is shown and handled as not required in CLI
Custom server attribute outbound-socket-binding-ref is defined as required in...
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Mail (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: DR10
: EAP 6.4.0
Assigned To: Tomaz Cerar
Radim Hatlapatka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:09 EDT by Jan Blizňák
Modified: 2015-07-13 00:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Blizňák 2013-10-02 07:09:06 EDT
Description of problem:
Custom server attribute outbound-socket-binding-ref is defined as required in XSD for mail subsystem but is shown and handled as not required in CLI.

Version-Release number of selected component (if applicable):
EAP 6.2.0.ER3

How reproducible:
Always

Steps to Reproduce:
1. Open jboss-eap-6.2/docs/schema/jboss-as-mail_1_1.xsd

2. See 
...
<xs:complexType name="custom-server-type" mixed="true">
.....
<xs:attribute name="outbound-socket-binding-ref" use="required" type="xs:string">
...

3. On default mail-session read operation description for adding new custom server
/subsystem=mail/mail-session=java\:jboss\/mail\/Default/custom=*:read-operation-description(name=add)

4. See ...
"request-properties" => {
            "outbound-socket-binding-ref" => {
                "type" => STRING,
                "description" => "Outbound Socket binding to mail server",
                "expressions-allowed" => true,
                "required" => false,
                "nillable" => true,
                "min-length" => 1L,
                "max-length" => 2147483647L
            },
....

Actual results:
value from XSD and that which CLI outputs differs


Expected results:
Synchronize XSD value with CLI - either make this attribute optional in XSD or required and not nillable in CLI.


Additional info:
I don't know how exactly parsing of config file is done, but when I edit standalone.xml and remove some required attribute (ie. outbound-socket-binding-ref of server smtp), it throws parsing exception after reload which is expectable. 
But it is not the case here, no parsing exception is thrown when I create custom server without attribute outbound-socket-binding-ref and reload, ie. it is handled also as not required.
Comment 1 Tomaz Cerar 2013-10-02 07:21:23 EDT
This is bug in XSD. CLI is right.
Comment 5 Martin Velas 2014-08-11 06:23:09 EDT
Issue is valid for EAP 6.3.0.ER10.
Comment 7 Radim Hatlapatka 2014-11-19 07:03:43 EST
Verified in EAP 6.4.0.DR10

Note, that step 3 in steps to reproduce described in description should be /subsystem=mail/mail-session=default/server=smtp:read-operation-description(name=add)

Note You need to log in before you can comment on or make changes to this bug.